Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156699 - CAN-2005-1389 HTTP Response Splitting Vulnerabilities
Summary: CAN-2005-1389 HTTP Response Splitting Vulnerabilities
Keywords:
Status: CLOSED DUPLICATE of bug 146161
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=low,public=20050423,source=cve...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-03 14:33 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-06 15:34:46 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-05-03 14:33:25 UTC
Squid is susceptible to a class of attacks known as "HTTP Response
Splitting."  These attacks involve tricking servers into sending
malformed or unexpected HTTP responses by exploiting weaknesses
in input validation on dynamic pages. This may in some situations
lead to cache poisoning.

http://www.squid-cache.org/Advisories/SQUID-2005_5.txt

Comment 1 Josh Bressers 2005-05-03 14:39:49 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-05-06 15:34:46 UTC

*** This bug has been marked as a duplicate of 146161 ***


Note You need to log in before you can comment on or make changes to this bug.